RAPID-PHOTO-DOWNLOADER(1)

NAME
rapid-photo-downloader - imports photos and videos from cameras, memory cards and other devices

SYNOPSIS
rapid-photo-downloader [options]

Options:
  --version
  -h, --help
  -v, --verbose
  -q, --quiet
  -e, --extensions
  --focal-length=FOCAL_LENGTH
  -a, --auto-detect
  -l PATH, --device-location=PATH
  --reset-settings

DESCRIPTION
Rapid Photo Downloader imports photos and videos from cameras, memory cards and Portable Storage Devices, providing a variety of flexible, user-defined options for subfolder creation, photo and video renaming, and backup. It can download from more than one device in parallel.

OPTIONS

--version
    Displays information about the currently installed version and exits.

-h, --help
    Show help message and exit.

-v, --verbose
    Displays program information on the command line as the program runs.

-d, --debug
    Displays debugging information on the command line as the program runs

-q, --quiet
    Only display output errors and warnings to the command line as the program runs.

-e, --extensions
    Displays image file extensions the program recognizes and exits.

--focal-length=FOCAL_LENGTH
    If an aperture value of 0.0 is encountered, the focal length metadata will be set to the number passed, and its aperture metadata to f/8.

-a, --auto-detect
    Automatically detect devices from which to download, overwriting existing program preferences.

-l PATH, --device-location=PATH
    Manually specify the PATH of the device from which to download, overwriting existing program preferences.

--reset-settings
    Resets all program settings and preferences to their default values and exits.

ENVIRONMENT VARIABLES

LOCALEDIR
    If set, overrides the system-wide directory in which translation data will be searched for.

LANG
    The system-wide locale used for translations.

BUGS
* Support for downloading directly from cameras is experimental. Not all cameras are supported.

Please report bugs at https://bugs.launchpad.net/rapid

AUTHORS
Rapid Photo Downloader was written by Damon Lynch <damonlynch@gmail.com>.

This manual page was written by Damon Lynch.

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

On Debian GNU/Linux systems, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL'.